Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.expression.operator.collection
Class CollectionContainsAll

    java.lang.Object
      |
      +--com.bea.p13n.expression.internal.ComplexExpressionImpl
            |
            +--com.bea.p13n.expression.operator.Operator
                  |
                  +--com.bea.p13n.expression.operator.collection.CollectionOperator
                        |
                        +--com.bea.p13n.expression.operator.collection.CollectionContainsAll

public class CollectionContainsAll
extends CollectionOperator

A class used to represent a CollectionContainsAll operator. This class operates on two `Collection`s. The evaluation of this should return `true` if the first `Collection` contains the second `Collection`, otherwise return `false`.

See Also:
  Serialized Form

Constructor Summary
`CollectionContainsAll()` Allocates a `CollectionContainsAll` object.
`CollectionContainsAll(java.lang.Object firstCollection, java.lang.Object secondCollection)`

Method Summary
`java.lang.Class[]` | `getParameterSignature()`

Methods inherited from class com.bea.p13n.expression.operator.collection.CollectionOperator
`getLeftHandSide, getRightHandSide`

Methods inherited from class com.bea.p13n.expression.operator.Operator
`leftHandSide, operand, rightHandSide`

Methods inherited from class com.bea.p13n.expression.internal.ComplexExpressionImpl
`addListener, addSubExpression, clearCache, clone, createProxyExpression, equals, getCachedValue, getParent, getSource, getSubExpression, getSubExpressionCount, getUserData, hashCode, isCached, isCacheEnabled, isEqualitySubExpression, notifyListeners, removeAllSubExpressions, removeListener, removeSubExpression, removeSubExpression, setCachedValue, setCacheEnabled, setParent, setSource, setSubExpression, setUserData, toString, write`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CollectionContainsAll

    public CollectionContainsAll()

  Allocates a `CollectionContainsAll` object.

### CollectionContainsAll

    public CollectionContainsAll(java.lang.Object firstCollection,
                                 java.lang.Object secondCollection)

Method Detail

### getParameterSignature

    public java.lang.Class[] getParameterSignature()

  Overrides:
    getParameterSignature in class com.bea.p13n.expression.internal.ComplexExpressionImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved